# Create Company

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/ra/companies/create>
{% endhint %}

Create a new company in our system to use for creating registered agents against

<table data-header-hidden><thead><tr><th width="197.727294921875"></th><th width="137.8182373046875"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Required</td><td>Type</td></tr><tr><td>company_name</td><td>yes</td><td>my co inc</td></tr><tr><td>entity_type</td><td>yes</td><td>Limited Liability Company<br>Corporation<br>General Partnership<br>Sole Proprietorship</td></tr><tr><td>home_state</td><td>yes</td><td>Colorado</td></tr><tr><td>jurisdictions</td><td>yes</td><td>JSON Array:<br>["Colorado", "Nebraska"]<br>OR<br>PLAIN TEXT:<br>Colorado</td></tr><tr><td>key</td><td>yes</td><td>your API key</td></tr></tbody></table>

{% tabs %}
{% tab title="Curl Post" %}

```php
curl https://v1.api19.com/ra/companies/create \
 -d 'company_name=abc company inc' \
 -d 'entity_type=Limited Liability Company' \
 -d 'home_state=Colorado' \
 -d 'jurisdictions=["Colorado","Nebraska"]' \
 -d 'key=api_token'
```

{% endtab %}

{% tab title="JSON Response" %}

```php
OK:
{
    "status": "ok",
    "company_id": "feh92hf92hf23rh3232" 
}

ERROR:
{
    "status": "error",
    "error": "Company already exists"
}

```

{% endtab %}

{% tab title="Possible Errors" %}

```hack
Jurisdictions must be selected
Tools connectivity issue
Home state must be selected
Company already exists
Invalid entity type. Must be one of: 
Invalid jurisdiction: 
Invalid home state: 
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="States" %}
Supported States

array:

```php
["Alabama", "Alaska", "Arizona", "Arkansas", "California", "Colorado", "Connecticut", "Delaware", "District of Columbia", "Florida", "Georgia", "Hawaii", "Idaho", "Illinois", "Indiana", "Iowa", "Kansas", "Kentucky", "Louisiana", "Maine", "Maryland", "Massachusetts", "Michigan", "Minnesota", "Mississippi", "Missouri", "Montana", "Nebraska", "Nevada", "New Hampshire", "New Jersey", "New Mexico", "New York", "North Carolina", "North Dakota", "Ohio", "Oklahoma", "Oregon", "Pennsylvania", "Rhode Island", "South Carolina", "South Dakota", "Tennessee", "Texas", "Utah", "Vermont", "Virginia", "Washington", "West Virginia", "Wisconsin", "Wyoming", "American Samoa", "Federal", "Guam", "Northern Mariana Islands", "U.S. Virgin Islands", "Puerto Rico"];
```

{% endtab %}

{% tab title="Entity Types" %}
Supported Entity Types

array:

```php
['Limited Liability Company', 'Corporation', 'General Partnership', 'Sole Proprietorship']
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/registered-agent/create-company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
